[
    {
        "data": "server",
        "dataParts": ["", "2", "", "50"],
        "lineVariable": "workload",
        "xVariable": "numClients",
        "whichGraph": "overall_epoch_cpu",
        "xLabel": "Number of clients",
        "yLabel": "CPU time per server to calculate an epoch (s)",
        "title": "Comparing CPU time for covert security\nepoch calculations across workloads",
        "fileNameStr": "epoch-workloads-cpu-2-50",
        "legendLoc": "upper left"
    }, {
        "data": "server",
        "dataParts": ["", "2", "", "50"],
        "lineVariable": "workload",
        "xVariable": "numClients",
        "whichGraph": "overall_epoch_cpu",
        "xLabel": "Number of clients",
        "yLabel": "CPU time per server to calculate an epoch (s)",
        "loglog": true,
        "title": "Comparing CPU time for covert security\nepoch calculations across workloads (in log-log)",
        "fileNameStr": "epoch-workloads-cpu-2-50-loglog",
        "legendLoc": "upper left"
    }, {
        "data": "server",
        "dataParts": ["", "2", "", "0"],
        "lineVariable": "workload",
        "xVariable": "numClients",
        "whichGraph": "overall_epoch_cpu",
        "xLabel": "Number of clients",
        "yLabel": "CPU time per server to calculate an epoch (s)",
        "title": "Comparing CPU time for HbC security\nepoch calculations across workloads",
        "fileNameStr": "hbc-epoch-workloads-cpu-2-0",
        "legendLoc": "upper left"
    }, {
        "data": "server",
        "dataParts": ["", "2", "", "0"],
        "lineVariable": "workload",
        "xVariable": "numClients",
        "whichGraph": "overall_epoch_cpu",
        "xLabel": "Number of clients",
        "yLabel": "CPU time per server to calculate an epoch (s)",
        "loglog": true,
        "title": "Comparing CPU time for HbC security\nepoch calculations across workloads (in log-log)",
        "fileNameStr": "hbc-epoch-workloads-cpu-2-0-loglog",
        "legendLoc": "upper left"
    }, {
        "data": "server",
        "dataParts": ["", "2", "", "50"],
        "lineVariable": "workload",
        "xVariable": "numClients",
        "whichGraph": "overall_epoch_total",
        "xLabel": "Number of clients",
        "yLabel": "Server-to-server outgoing bandwidth per\nserver used to calculate an epoch (MB)",
        "yUnit": "MB",
        "title": "Comparing bandwidth for covert security\nepoch calculations across workloads",
        "fileNameStr": "epoch-workloads-bandwidth-2-50",
        "legendLoc": "upper left"
    }, {
        "data": "server",
        "dataParts": ["", "2", "", "50"],
        "lineVariable": "workload",
        "xVariable": "numClients",
        "whichGraph": "overall_epoch_total",
        "xLabel": "Number of clients",
        "yLabel": "Server-to-server outgoing bandwidth per\nserver used to calculate an epoch (MB)",
        "yUnit": "MB",
        "loglog": true,
        "title": "Comparing bandwidth for covert security\nepoch calculations across workloads (in log-log)",
        "fileNameStr": "epoch-workloads-bandwidth-2-50-loglog",
        "legendLoc": "upper left"
    }, {
        "data": "server",
        "dataParts": ["", "2", "", "0"],
        "lineVariable": "workload",
        "xVariable": "numClients",
        "whichGraph": "overall_epoch_total",
        "xLabel": "Number of clients",
        "yLabel": "Server-to-server bandwidth per server\nused to calculate an epoch (MB)",
        "yUnit": "MB",
        "title": "Comparing bandwidth for HbC security\nepoch calculations across workloads",
        "fileNameStr": "hbc-epoch-workloads-bandwidth-2-0",
        "legendLoc": "upper left"
    }, {
        "data": "server",
        "dataParts": ["", "2", "", "0"],
        "lineVariable": "workload",
        "xVariable": "numClients",
        "whichGraph": "overall_epoch_total",
        "xLabel": "Number of clients",
        "yLabel": "Server-to-server bandwidth per server\nused to calculate an epoch (MB)",
        "yUnit": "MB",
        "loglog": true,
        "title": "Comparing bandwidth for HbC security\nepoch calculations across workloads (in log-log)",
        "fileNameStr": "hbc-epoch-workloads-bandwidth-2-0-loglog",
        "legendLoc": "upper left"
    }, {
        "data": "server",
        "dataParts": ["half", "", "", "50"],
        "lineVariable": "numServers",
        "xVariable": "numClients",
        "ignoreWorkload": true,
        "whichGraph": "overall_epoch_cpu",
        "xLabel": "Number of clients",
        "yLabel": "CPU time per server to calculate an epoch (s)",
        "title": "Comparing CPU time for covert security\nepoch calculations across numbers of servers",
        "fileNameStr": "epoch-servers-cpu-any-50",
        "legendLoc": "upper left"
    }, {
        "data": "server",
        "dataParts": ["half", "", "", "50"],
        "lineVariable": "numServers",
        "xVariable": "numClients",
        "ignoreWorkload": true,
        "whichGraph": "overall_epoch_cpu",
        "xLabel": "Number of clients",
        "yLabel": "CPU time per server to calculate an epoch (s)",
        "loglog": true,
        "title": "Comparing CPU time for covert security\nepoch calculations across numbers of servers (in log-log)",
        "fileNameStr": "epoch-servers-cpu-any-50-loglog",
        "legendLoc": "upper left"
    }, {
        "data": "server",
        "dataParts": ["half", "", "", "50"],
        "lineVariable": "numServers",
        "xVariable": "numClients",
        "ignoreWorkload": true,
        "whichGraph": "overall_epoch_total",
        "xLabel": "Number of clients",
        "yLabel": "Server-to-server bandwidth per server\nused to calculate an epoch (MB)",
        "yUnit": "MB",
        "title": "Comparing bandwidth for covert security\nepoch calculations across numbers of servers",
        "fileNameStr": "epoch-servers-bandwidth-any-50",
        "legendLoc": "upper left"
    }, {
        "data": "server",
        "dataParts": ["half", "", "", "50"],
        "lineVariable": "numServers",
        "xVariable": "numClients",
        "ignoreWorkload": true,
        "whichGraph": "overall_epoch_total",
        "xLabel": "Number of clients",
        "yLabel": "Server-to-server bandwidth per server\nused to calculate an epoch (MB)",
        "yUnit": "MB",
        "loglog": true,
        "title": "Comparing bandwidth for covert security\nepoch calculations across numbers of servers (in log-log)",
        "fileNameStr": "epoch-servers-bandwidth-any-50-loglog",
        "legendLoc": "upper left"
    }, {

        "data": "server",
        "dataParts": ["all", "2", "", ""],
        "lineVariable": "lambda",
        "xVariable": "numClients",
        "ignoreWorkload": true,
        "whichGraph": "overall_epoch_cpu",
        "xLabel": "Number of clients",
        "yLabel": "CPU time per server to calculate an epoch (s)",
        "title": "Comparing CPU time for covert security\nepoch calculations across different values of lambda",
        "fileNameStr": "epoch-lambda-cpu-all-2",
        "legendLoc": "upper left"
    }, {
        "data": "server",
        "dataParts": ["all", "2", "", ""],
        "lineVariable": "lambda",
        "xVariable": "numClients",
        "ignoreWorkload": true,
        "whichGraph": "overall_epoch_cpu",
        "xLabel": "Number of clients",
        "yLabel": "CPU time per server to calculate an epoch (s)",
        "loglog": true,
        "title": "Comparing CPU time for covert security\nepoch calculations across different values of lambda\n(in log-log)",
        "fileNameStr": "epoch-lambda-cpu-all-2-loglog",
        "legendLoc": "upper left"
    }, {
        "data": "server",
        "dataParts": ["all", "2", "", ""],
        "lineVariable": "lambda",
        "xVariable": "numClients",
        "ignoreWorkload": true,
        "whichGraph": "overall_epoch_total",
        "xLabel": "Number of clients",
        "yLabel": "Server-to-server bandwidth per server\nused to calculate an epoch (MB)",
        "yUnit": "MB",
        "title": "Comparing bandwidth for covert security\nepoch calculations across different values of lambda",
        "fileNameStr": "epoch-lambda-bandwidth-all-2",
        "legendLoc": "upper left"
    }, {
        "data": "server",
        "dataParts": ["all", "2", "", ""],
        "lineVariable": "lambda",
        "xVariable": "numClients",
        "ignoreWorkload": true,
        "whichGraph": "overall_epoch_total",
        "xLabel": "Number of clients",
        "yLabel": "Server-to-server bandwidth per server\nused to calculate an epoch (MB)",
        "yUnit": "MB",
        "loglog": true,
        "title": "Comparing bandwidth for covert security\nepoch calculations across different values of lambda\n(in log-log)",
        "fileNameStr": "epoch-lambda-bandwidth-all-2-loglog",
        "legendLoc": "upper left"
    }, {

        "data": "client",
        "dataParts": ["vote", "2", "", ""],
        "lineVariable": "lambda",
        "xVariable": "numClients",
        "whichGraph": "vote_cpu",
        "xLabel": "Number of clients",
        "yLabel": "Client CPU time to make a new vote row (s)",
        "title": "Comparing CPU time for making vote rows\nacross different values of lambda (in linear scale)",
        "fileNameStr": "vote-lambda-cpu-2",
        "legendLoc": "upper left"
    }, {
        "data": "client",
        "dataParts": ["vote", "2", "", ""],
        "lineVariable": "lambda",
        "xVariable": "numClients",
        "whichGraph": "vote_sent",
        "xLabel": "Number of clients",
        "yLabel": "Client-to-server bandwidth\nused to make a new vote row (KB)",
        "yUnit": "KB", 
        "title": "Comparing bandwidth for making vote rows\nacross different values of lambda (in linear scale)",
        "fileNameStr": "vote-lambda-bandwidth-2",
        "legendLoc": "upper left"
    }, {

        "data": "client",
        "dataParts": ["rep", "2", "", ""],
        "lineVariable": "lambda",
        "xVariable": "numClients",
        "whichGraph": "rep_prove_cpu",
        "xLabel": "Number of clients",
        "yLabel": "CPU time to make a new reputation proof (s)",
        "title": "Comparing CPU time for making reputation proofs\nacross different values of lambda (in log-linear)",
        "fileNameStr": "rep_prove-lambda-cpu-2",
        "legendLoc": "lower right",
        "legendBBoxAnchor": [1, 0]
    }, {

        "data": "client",
        "dataParts": ["rep", "2", "", ""],
        "lineVariable": "lambda",
        "xVariable": "numClients",
        "whichGraph": "rep_prove_cpu",
        "xLabel": "Number of clients",
        "yLabel": "CPU time to make a new reputation proof (s)",
        "loglinear": true,
        "title": "Comparing CPU time for making reputation proofs\nacross different values of lambda (in log-linear)",
        "fileNameStr": "rep_prove-lambda-cpu-2-loglinear",
        "legendLoc": "lower right",
        "legendBBoxAnchor": [1, 0]
    }, {
        "data": "client",
        "dataParts": ["rep", "2", "", ""],
        "lineVariable": "lambda",
        "xVariable": "numClients",
        "whichGraph": "rep_prove_sent",
        "xLabel": "Number of clients",
        "yLabel": "Client-to-client bandwidth\nused to make a new reputation proof (KB)",
        "yUnit": "KB", 
        "title": "Comparing bandwidth for making reputation proofs\nacross different values of lambda",
        "fileNameStr": "rep_prove-lambda-bandwidth-2",
        "legendLoc": "lower right",
        "legendBBoxAnchor": [1, 0]
    }, {

        "data": "client",
        "dataParts": ["rep", "2", "", ""],
        "lineVariable": "lambda",
        "xVariable": "numClients",
        "whichGraph": "rep_verify_cpu",
        "xLabel": "Number of clients",
        "yLabel": "CPU time to verify a new reputation proof (s)",
        "title": "Comparing CPU time for verifying reputation proofs\nacross different values of lambda (in log-linear)",
        "fileNameStr": "rep_verify-lambda-cpu-2",
        "legendLoc": "lower right",
        "legendBBoxAnchor": [1, 0]
    }, {

        "data": "client",
        "dataParts": ["rep", "2", "", ""],
        "lineVariable": "lambda",
        "xVariable": "numClients",
        "whichGraph": "rep_verify_cpu",
        "xLabel": "Number of clients",
        "yLabel": "CPU time to verify a new reputation proof (s)",
        "loglinear": true,
        "title": "Comparing CPU time for verifying reputation proofs\nacross different values of lambda (in log-linear)",
        "fileNameStr": "rep_verify-lambda-cpu-2-loglinear",
        "legendLoc": "lower right",
        "legendBBoxAnchor": [1, 0]
    }, {
        "data": "client",
        "dataParts": ["rep", "2", "", ""],
        "lineVariable": "lambda",
        "xVariable": "numClients",
        "whichGraph": "rep_verify_recv",
        "xLabel": "Number of clients",
        "yLabel": "Client-to-client bandwidth\nused to verify a new reputation proof (KB)",
        "yUnit": "KB", 
        "title": "Comparing bandwidth for verifying reputation proofs\nacross different values of lambda",
        "fileNameStr": "rep_verify-lambda-bandwidth-2",
        "legendLoc": "lower right",
        "legendBBoxAnchor": [1, 0]
    }
]